//
//  RightControlSectionView.m
//  Lighting
//
//  Created by 曹云霄 on 2016/10/19.
//  Copyright © 2016年 上海勾芒科技有限公司. All rights reserved.
//

#import "RightControlSectionView.h"

@implementation RightControlSectionView

- (instancetype)initWithReuseIdentifier:(NSString *)reuseIdentifier
{
    if (self = [super initWithReuseIdentifier:reuseIdentifier]) {
        [self uiConfigAction];
    }
    return self;
}


- (void)uiConfigAction
{
    self.sectionImageView = [[UIImageView alloc]init];
    [self.contentView addSubview:self.sectionImageView];
    [self.sectionImageView mas_makeConstraints:^(MASConstraintMaker *make) {
        make.left.mas_equalTo(30);
        make.centerY.mas_equalTo(self.mj_h/2);
        make.size.mas_equalTo(CGSizeMake(25, 25));
    }];
    self.sectionTitle = [[UILabel alloc]init];
    [self.contentView addSubview:self.sectionTitle];
    [self.sectionTitle mas_makeConstraints:^(MASConstraintMaker *make) {
        make.left.equalTo(self.sectionImageView.mas_right).mas_offset(20);
        make.centerY.mas_equalTo(self.mj_h/2);
        make.size.mas_equalTo(CGSizeMake(100, 20));
    }];
    
}

@end
